Bug Hunting Session
Bug 113625 - Apostrophe is entered in with the wrong font
Summary: Apostrophe is entered in with the wrong font
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Eyal Rozenberg
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-Hebrew
  Show dependency treegraph
 
Reported: 2017-11-03 12:26 UTC by Avi
Modified: 2019-06-28 13:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Wrong vs right apostrophe (9.43 KB, application/vnd.oasis.opendocument.text)
2017-11-21 19:07 UTC, Avi
Details
apostrophes screenshot (15.36 KB, image/jpeg)
2018-12-28 11:54 UTC, Avi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Avi 2017-11-03 12:26:38 UTC
When working bilingual, (e.g English-Hebrew) and writing in Hebrew, the apostrophe  (Unicode #0027) is entered using the English font rather than the Hebrew one.
Comment 1 Omer Zak 2017-11-20 22:29:28 UTC
Please demonstrate the use case, in which the wrong language is being selected for the apostrophe.
It would be a good idea to create a short sample document and add it as an attachment, with exact instructions how to reproduce the problem.
Comment 2 Avi 2017-11-21 19:07:50 UTC
Created attachment 137898 [details]
Wrong vs right apostrophe
Comment 3 Avi 2017-11-21 19:11:38 UTC
Added an attachment with wrong vs. right Hebrew apostrophe. Issue is easily reproducible: just write an apostrophe while in Hebrew mode. The apostrophe will be entered using the English font rather than the Hebrew one.

In fact, I haven't found a trivial way to enter a Hebrew (e.g. David font) apostrophe, other than pasting it from another application.
Comment 4 Xisco Faulí 2018-11-27 13:08:59 UTC
Hi Avi,
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 5 Avi 2018-11-30 12:42:21 UTC
Hi Xisco,

Issue reproduces on 6.0.7. Is build 6.1.3 an early adopters build? If so, I prefer not to install it, unless you can tell me the fix was committed to this build. In this case I'll be happy to validate.
Comment 6 Eyal Rozenberg 2018-12-27 16:32:25 UTC
When opening Avi's example, both the "Wrong" and "Right" apostrophes appear exactly the same to me. Also, changing the LTR font to Liberation Sans with a larger size does not affect either of them.

So, resolving as WORKSFORME for now. Avi, if you can provide verifiable reproduction instructions, or at least screenshots with a clear difference, please reopen.

I used:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_IL); UI-Language: en-US
Calc: threaded
Comment 7 Avi 2018-12-28 11:54:36 UTC
Created attachment 147874 [details]
apostrophes screenshot

Attaching a screenshot of both apostrophes. The wrong one (=wrong font, not David) is from regular typing in LibreOffice, the right one was pasted for another place.
Comment 8 Eyal Rozenberg 2018-12-28 13:00:30 UTC
(In reply to Avi from comment #7)
Are you sure you've disabled AutoCorrect, and specifically, the replacement of simple quotes with smart quotes?
Comment 9 Dieter Praas 2018-12-28 17:46:06 UTC
(In reply to Eyal Rozenberg from comment #8)
> Are you sure you've disabled AutoCorrect, and specifically, the replacement
> of simple quotes with smart quotes?

=> NEEDINFO
Comment 10 QA Administrators 2019-06-27 02:54:29 UTC Comment hidden (obsolete)
Comment 11 Avi 2019-06-28 13:05:20 UTC
Not observed anymore.
Comment 12 Xisco Faulí 2019-06-28 13:56:46 UTC
(In reply to Avi from comment #11)
> Not observed anymore.

Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.